package utils;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.time.format.FormatStyle;
import java.util.Date;

/**
 * Die Klasse erzeugt die Message-Objekte
 * @version 0.0.2
 * @author berdan
 */


public class Message implements Serializable {

    String username;
    String message;
    String time = "00:00";
    
    /**
     * Konstruktor des Message Objektes
     * 
     * @param username
     * @param message 
     * 
     */
    
    public Message(String username, String message) {
        this.username = username;
        this.message = message;
        this.time = new SimpleDateFormat("HH.mm.ss").format(new Date());
    }
    
    /**
     * toString Methode
     * @return 
     */
    @Override
    public String toString() {
        return "nickname=" + username
                + ", message=" + message
        		+ ", time =" + time;
                //+ ", time=" + date;
    }

    /**
     * Funktion gibt false aus, sobald der Text der Nachricht "exit" ist
     * @return 
     */
    public boolean exit() {
        return !message.equalsIgnoreCase("exit");
    }
    
    /**
     * Funktion, welche die Nachricht des Message Objektes zurück gibt
     * @return 
     */
    public String getMessage() {
        return message;
    }
    /**
     * Funktion, welche den Usernamen des Message Objektes zurück gibt
     * @return 
     */
    public String getUsername() {
        return username;
    }
    
    /**
     * 
     * @return 
     */
    public String getTime(){
        return time;
    }
}